@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;500;600;700;800;900&display=swap");

* {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  color: black;
}

html {
  font-size: 10px;
  font-family: "Poppins", sans-serif;
}

a {
  text-decoration: none;
  font-size: 1.5rem;
  font-weight: 600;
}

header {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 10px 0 10px 150px;
  width: 30%;
  height: 100%;
  position: fixed;
}

.nav-links {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 70%;
  justify-content: space-between;
}

.nav-links a {
  display: flex;
  align-items: center;
  font-size: 1.8rem;
  padding: 8px 25px 8px 8px;
  width: fit-content;
}

.nav-links a:hover {
  background-color: #ccc;
  border-radius: 20px;
  /* width: fit-content; */
  padding: 8px;
}

.fa-twitter {
  color: #1d9bf0;
}
.fa-twitter:hover {
  color: #056db2;
}

.nav-links a:first-child {
  padding: 8px;
}

.nav-links a:first-child i {
  margin: 0;
  font-size: 3rem;
}

.nav-links a i {
  font-size: 2rem;
  margin-right: 10px;
}

.tweet-button {
  padding: 10px 20px;
  border-radius: 20px;
  color: white;
  background: rgb(29, 155, 240);
  cursor: pointer;
  font-size: 2rem;
  border: none;
  transition: 0.3s;
  margin: 10px;
}

.tweet-button:hover {
  background-color: rgba(29, 155, 240, 0.8);
  cursor: pointer;
}

.main-account {
  display: flex;
  align-items: center;
  width: 100%;
  height: 26%;
  padding-top: 120px;
}

.main-account a {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-right: 10px;
  padding: 8px 10px 8px 15px;
  max-width: 200px;
}

.main-account a:hover {
  background-color: #ccc;
  border-radius: 20px;
}

.tweet-img {
  width: 38px;
  height: 38px;
  border-radius: 50%;
  cursor: pointer;
}

.account-details {
  display: flex;
  flex-direction: column;
  line-height: 1.3;
  margin-left: 5px;
}

.account-details .handle {
  font-size: 1rem;
  color: #777;
}

main {
  display: flex;
  width: 70%;
  font-size: 2rem;
  margin-left: 30%;
}

.main-flex {
  display: flex;
  width: 100%;
}

.main-feed {
  width: 50%;
  border-left: 1px solid #ccc;
  border-right: 1px solid #ccc;
  min-height: 100vh;
  z-index: 1;
}

.home {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px;
  position: sticky;
  top: 0;
  background: #ddd;
  z-index: 99;
}
i {
  cursor: pointer;
  color: #1c88d2;
}

.new-tweet {
  display: flex;
  align-items: center;
  padding: 10px;
}

.new-tweet .tweet-img {
  width: 60px;
  height: 60px;
}

.new-tweet input {
  outline: none;
  border: none;
  margin-left: 6px;
  caret-color: #1d9bf0;
  width: 100%;
}

.tweet-tools {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.tweet-tools ul {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  list-style: none;
  margin-left: 50px;
}

.tweet-tools ul li {
  margin-left: 5px;
}

.feed-tweet {
  display: flex;
  width: 100%;
  min-height: 100px;
  padding: 10px;
  border-top: 1px solid #ccc;
  cursor: pointer;
}
.feed-tweet-details {
  display: flex;
  flex-direction: column;
  width: 100%;
}

.tweeter-details {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.tweeter-name {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-left: 5px;
}

.tweeter-handle {
  color: #777;
  margin-left: 3px;
}

.tweet-text {
  margin-top: 10px;
}

.tweet-text p {
  font-size: 1.5rem;
}

.tweet-icons {
  display: flex;
  justify-content: space-between;
  margin-top: 10px;
  padding-right: 40px;
}

.side-feed {
  width: 50%;
  /* border-left: 1px solid #ccc; */
  border-right: 1px solid #ccc;
  min-height: 100vh;
}

.searchBox {
  max-width: 300px;
  min-height: 45px;
  position: sticky;
  top: 0;
  margin: 10px;
}

.search {
  display: flex;
  align-items: center;
  background: #ccc;
  border-radius: 10px;
}

.search i {
  position: absolute;
  margin-left: 10px;
}

.search input {
  width: 100%;
  height: 100%;
  border-radius: 10px;
  margin: 5px;
  padding: 10px 30px;
  border: none;
  outline: none;
  background: #fff;
}

.search input:focus {
  border: 1px solid #1d9bf0;
  caret-color: #1d9bf0;
}

.trending {
  max-width: 300px;
  min-height: 500px;
  background-color: #ccc;
  margin: 10px;
  border-radius: 10px;
  padding: 10px;
}

.fullTrend {
  margin-bottom: 25px;
  padding: 5px;
}

.fullTrend:hover {
  background-color: #eee;
  border-radius: 5px;
}

.trend {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.trend p,
.topic span {
  color: #777;
  font-size: 1rem;
}

.topic {
  display: flex;
  flex-direction: column;
  font-size: 1rem;
}

@media (max-width: 500px) {
  header {
    display: none;
  }
  .tweet-text ul li {
    margin-left: 0;
  }
  .tweet-button {
    padding: 10px 20px;
    margin-right: 20px;
  }
  .nav-links a span {
    display: none;
  }
  .tweet-tools {
    display: flex;
    /* flex-direction: column; */
  }
  .tweet-tools ul {
    margin-left: 50px;
  }
  .tweeter-name {
    display: flex;
    align-items: flex-start;
    justify-content: center;
    margin-left: 5px;
    flex-direction: column;
  }
  main {
    display: flex;
    width: 100%;
    font-size: 2rem;
    margin-left: 0;
  }
  .main-feed {
    width: 100%;
  }

  .side-feed {
    display: none;
  }
}

@media (max-width: 767px) {
  header {
    padding: 0;
  }

  .nav-links a span {
    font-size: 1rem;
  }

  .tweet-tools {
    display: flex;
  }

  .tweet-tools ul {
    margin-left: 30px;
  }

  .main-account {
    width: fit-content;
  }

  .main-account .tweet-img {
    display: none;
  }

  .main-feed {
    width: 100%;
  }

  .side-feed {
    display: none;
  }
}

@media (min-width: 768px) {
  header {
    padding: 10px 0 10px 50px;
  }
}
@media (min-width: 768px) and (max-width: 1000px) {
  .tweet-tools ul {
    margin-left: 22px;
  }
  .tweet-button {
    font-size: 1rem;
  }
}

@media (min-width: 1100px) {
  header {
    padding: 10px 0 10px 150px;
  }
}
